export const offsetMap = new Map([
  ['01106001', -40],
  ['01112001', -3200],
  ['01112002', -3200],
  ['01112003', -3200],
  ['01117601', -40],
  ['01118001', -40],
  ['01119001', -40],
  ['01119002', -40],
  ['01120001', -40],
  ['01120002', -40],
  ['01120003', -40],
  ['01120004', -40],
  ['01120005', -40],
]);

export const rangeMap = new Map([
  ['01112001', [-1000, 1000]],
  ['01112002', [-1000, 1000]],
  ['01112003', [-1000, 1000]],
]);

export const handleOffsetAndRange = (signalId, value) => {
  const offset = offsetMap.get(signalId);
  const range = rangeMap.get(signalId);
  let result = value;
  if (offset) {
    result = value + offset;
  }
  if (range) {
    if (result < range[0]) {
      result = range[0];
    } else if (result > range[1]) {
      result = range[1];
    }
  }
  return result;
};
